API de Integração
Áreas

Listar micro áreas

Lista os grupos de micro áreas de uma macro área. O ID da micro área é usado na criação de cursos.

GET
/areas/micro-area-group/{MacroAreaId}

Autorização

apiToken
Api-Token<token>

Token do parceiro. Gere no painel do parceiro: Configurações > Integrações > API Token (perfil Admin ou Superadmin). Envie só este header: se Authorization também for enviado, ele tem prioridade e a requisição é recusada com 401.

Local: header

Parâmetros de Path

MacroAreaId*integer

ID da macro área.

Corpo da Resposta

application/json

application/json

curl -X GET "https://example.com/areas/micro-area-group/0"
{  "paging": null,  "metadata": {    "skills": []  },  "content": [    {      "id": 1,      "name": "Programação",      "active": true,      "createdAt": "2020-03-19T01:48:52.773Z",      "updatedAt": "2020-06-11T18:22:37.635Z"    },    {      "id": 2,      "name": "Produto Digital",      "active": true,      "createdAt": "2020-03-19T01:48:53.148Z",      "updatedAt": "2020-06-11T18:22:37.958Z"    },    {      "id": 3,      "name": "Inovação",      "active": true,      "createdAt": "2020-03-19T01:48:53.542Z",      "updatedAt": "2020-06-11T18:22:38.273Z"    },    {      "id": 4,      "name": "Marketing",      "active": true,      "createdAt": "2020-03-19T01:48:53.930Z",      "updatedAt": "2020-06-11T18:22:38.590Z"    },    {      "id": 8,      "name": "Audiovisual",      "active": true,      "createdAt": "2020-03-19T01:48:55.547Z",      "updatedAt": "2020-06-11T18:22:39.855Z"    },    {      "id": 9,      "name": "Business Inteligence",      "active": true,      "createdAt": "2020-03-19T01:48:55.939Z",      "updatedAt": "2020-06-11T18:22:40.182Z"    },    {      "id": 5,      "name": "Design e UI/UX",      "active": true,      "createdAt": "2020-03-19T01:48:54.333Z",      "updatedAt": "2020-06-11T18:22:38.908Z"    },    {      "id": 6,      "name": "Data",      "active": true,      "createdAt": "2020-03-19T01:48:54.804Z",      "updatedAt": "2020-06-11T18:22:39.221Z"    },    {      "id": 10,      "name": "Outros em Digital Skills",      "active": true,      "createdAt": "2020-03-19T01:48:56.299Z",      "updatedAt": "2020-06-11T18:22:40.517Z"    },    {      "id": 7,      "name": "Software em geral",      "active": true,      "createdAt": "2020-03-19T01:48:55.171Z",      "updatedAt": "2020-06-11T18:22:39.537Z"    }  ]}